(function($) {
	"use strict";
	$(function() {

        $('#ec_log_select').on('change', function() {
//            var curURL = document.URL;
//            var delimiter = (curURL.indexOf('ec_log') > -1) ? '&' : '?';
            var selected = $(this).find('option:selected').val();
            window.location.href = document.URL + '&ec_log=' + selected;
        });

		var page = 1;
		var totalRecords = 0;
		var doneRecordsCount = 0;

		$('.ec_import').on('click', function () {
			$('.ec_loader').show();			
			get_products();	
			return false;		
		});

		$('.ec_sync').on('click', function () {
			$('.ec_loader').show();	
			sync();
		});

		function sync (argument) {

			var logContainer = $('.ec_category_result');

			logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
			logContainer.val(logContainer.val() + 'Category sync started.\n')
			logContainer.val(logContainer.val() + '----------------------------------------------------------\n');

			var data = {
				nonce: ecAjaxAdminObject.nonce,
				action: 'ec_sync_categories'
			};

			var result = false;

			$.ajax({
				url: ecAjaxAdminObject.ajax_url,
				data: data,
				dataType: 'text',
				type: 'post'    
			}).done(function(data) {
					logContainer.val(logContainer.val() + data);
					logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
					logContainer.val(logContainer.val() + 'Category sync completed.\n')
					logContainer.val(logContainer.val() + '----------------------------------------------------------\n\n\n');
					logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
					logContainer.val(logContainer.val() + 'Product sync started\n')
					logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
					logContainer.scrollTop(logContainer[0].scrollHeight);
					get_products();	
			}).fail(function(data) {
				console.log(data);
				$('.ec_loader').hide();
                return false;
			});
		}

		function get_products () {
			var logContainer = $('.ec_category_result');
			var data = {
				nonce: ecAjaxAdminObject.nonce,
				action: 'ec_sync_products',
				page: page
			};

			$.ajax({
				url: ecAjaxAdminObject.ajax_url,
				data: data,
				dataType: 'json',
				type: 'post'    
			}).done(function(data) {
				console.log(data);
				if(data.status == 'ok') {
					totalRecords = data.totalRecords;



                    $.each(data.result, function( index, value ) {
						logContainer.val(logContainer.val() + value + '\n');
						logContainer.scrollTop(logContainer[0].scrollHeight);
					});

                    if(data.askNext) {
                        page = data.nextPage;
						get_products();
					} else {
						logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
						logContainer.val(logContainer.val() + 'Product sync finished\n')
						logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
						logContainer.scrollTop(logContainer[0].scrollHeight);
						$('.ec_loader').hide();
					}

                    update_bar(data.recordsInResponse, data.recordsPerPage);
				} else {
					// $('.ec_progress').append('<pre style="clear: both">' + data.msg + '</pre>');
					logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
					logContainer.val(logContainer.val() + 'Error: ' + data.msg + '\n');
					logContainer.val(logContainer.val() + '----------------------------------------------------------\n');
					logContainer.scrollTop(logContainer[0].scrollHeight);
					$('.ec_loader').hide();
				}
			}).fail(function(data) {
				console.log(data);
				$('.ec_loader').hide();
                return false;
			});
		}

		function update_bar (records, recordsPerPage) {
            if(records != recordsPerPage)
			    doneRecordsCount = (page - 1) * recordsPerPage + records;
            else
			    doneRecordsCount = (page - 1) * recordsPerPage;

			if(records == totalRecords)
				doneRecordsCount = records;

			var container_width = $('.ec_progress_bar').width() - 2;
			var width = (container_width / totalRecords) * doneRecordsCount;
            var $countContainer = $('.ec_count');

			$('.ec_inner_bar').css('width', Math.floor(width) + 'px');
            $countContainer.find('.count').text(doneRecordsCount);
            $countContainer.find('.total').text(totalRecords);
		}

	});
})(jQuery);

