(function ($) {
	$(document).ready(function () {

        var body    = $( 'body' ),
            _window = $( window);

        if ($.swipebox) {
            $('#ec_swipeGallery .ec_gallery a').swipebox({
                hideBarsDelay : 0
            });
        }

        $('.ec_product h3:visible').equalHeight();
        $('#ec_change_address').on('click',function(){
            var addressSelect = $('#ec_selected_address'),
                selectedAddress = addressSelect.find(":selected"),
                data = {
                action: 'ec_change_address',
                nonce: ecAjaxObject.nonce,
                addressID: selectedAddress.val(),
                addressStreet: selectedAddress.data('street')
                },
                shippingSection = $('#ec_section_shipping');
            $.ajax({
                url: ecAjaxObject.ajax_url,
                data: data,
                dataType: 'json',
                type: 'post'

            })
                .done(function (data) {
                    $('#ec_address_message').slideUp().remove();
                    //shippingSection.find('.ec_section_fields').slideUp().after('<p id="ec_address_message">'+data.message+'</p>');
                    shippingSection.find('input').val('');
                    shippingSection.find('#ec_shipping_street').val(data.address.street);
                    shippingSection.find('#ec_shipping_city').val(selectedAddress.data('city'));
                    shippingSection.find('#ec_shipping_postalCode').val(selectedAddress.data('postcode'));
                    shippingSection.find('#ec_shipping_country').val(selectedAddress.data('country'));
                    shippingSection.find('#ec_shipping_address2').val(selectedAddress.data('address2'));
                    console.log(data);
                })
                .fail(function (data) {
                    console.log(data);
                });
            return false;
        });
        $( function() {
            if ( body.is( '.sidebar' ) ) {

                var sidebar   = $( '#secondary .widget-area' ),
                    margin    = $( '#tertiary .widget-area' ).height() - $( '#content' ).height() + 35;
                if ( margin > 0 && _window.innerWidth() > 999 )
                    $( '#colophon' ).css( 'margin-top', margin + 'px' );
            }
        } );

		$('.ec_checkout_table').on('click', 'button.remove', function() {
			$(this).closest('tr').remove();
			return false;
		});


        $('#ec_tabs').tabs({
            activate: function (e, ui) {
                $('.ec_product h3:visible').equalHeight();
            }
            });
		$('.ec_remove_from_cart').on('click', function () {
			var pID = $(this).data('pid');
			var data = {
				id: pID,
				nonce: ecAjaxObject.nonce,
				action: 'ec_remove_from_cart'
			}

			$.ajax({
				url: ecAjaxObject.ajax_url,
				data: data,
				dataType: 'json',
				type: 'post'
			    
			})
				.done(function(data) {
					console.log(data);
					location.reload();
				})
				.fail(function(data) {
					console.log(data);
				});
			return false;
		});

		$('.ec_remove_coupon').on('click', function () {
			var cID = $(this).data('cid');
			var data = {
				key: cID,
				nonce: ecAjaxObject.nonce,
				action: 'ec_remove_coupon'
			}

			$.ajax({
				url: ecAjaxObject.ajax_url,
				data: data,
				dataType: 'json',
				type: 'post'
			    
			})
				.done(function(data) {
					console.log(data);
					location.reload();
				})
				.fail(function(data) {
					console.log(data);
				});
			return false;
		});

		$('.ec_addToCart').on('click', function() {

			var element = $(this),
                parent = element.parent(),
			    pID = element.data('product');
			var amount = $('.ec_matrix').length > 0 ? parent.parent().find('.qty').val() : parent.find('.qty').val();
			if( $(this).data('quantity') > 0 )  amount = $(this).data('quantity');
			var preLoader = parent.find('.ec_cart_preLoader');

			if( amount > 0 ) {
				var data = {
					id: pID,
					amount: amount,
					nonce: ecAjaxObject.nonce,
					action: 'ec_add_to_cart'
				};

				if( typeof element.data('ajax-data') == 'object' )
					data = $.extend( data, element.data('ajax-data') );

            	element.attr('disabled','disabled');
            	preLoader.show();
            	element.css({'background': '#bababa', 'border-color': '#909090'});

				$.ajax({
					url: ecAjaxObject.ajax_url,
					data: data,
					dataType: 'json',
					type: 'post'
				}).done(function(data) {
					$(element).trigger('ec_add_to_cart_done', data);
                    
					if (data.status === 1) {
						$('.ec_cartList').html(data.cartHTML);
                    	preLoader.hide();
                    	element.attr('disabled',false);
                    	element.removeAttr('style');
					};
				}).fail(function(data) {
					$(element).trigger('ec_add_to_cart_fail', data);
					console.log(data);
				});
			} else {
				console.log('Could not find .qty field or quantity is less than 1.');
				$(element).trigger('ec_add_to_cart_fail');
			}
		});

		$('.ec_getStock').on('click', function () {
			var pID = $(this).data('product');
			var container = $(this).closest('.ec_stock');
			var data = {
				id: pID,
				nonce: ecAjaxObject.nonce,
				action: 'ec_get_stock'
			};

			$.ajax({
				url: ecAjaxObject.ajax_url,
				data: data,
				dataType: 'json',
				type: 'post'    
			}).done(function(data) {
				container.html(data.stock);
			}).fail(function(data) {
				console.log(data);
			});
		});

		$('.ec_cartList').on('click', '.ec_removeFromCart', function () {
			var pID = $(this).data('product');
			var data = {
				id: pID,
				nonce: ecAjaxObject.nonce,
				action: 'ec_remove_from_cart'
			};

			$.ajax({
				url: ecAjaxObject.ajax_url,
				data: data,
				dataType: 'json',
				type: 'post'
			    
			})
				.done(function(data) {
					console.log(data);
					updateCart($.noop);
				})
				.fail(function(data) {
					console.log(data);
				});
		});


		$('.ec_cart_empty').on('click', function (e) {
			e.preventDefault();
			var data = {
				nonce: ecAjaxObject.nonce,
				action: 'ec_empty_cart'
			};

			$.ajax({
				url: ecAjaxObject.ajax_url,
				data: data,
				dataType: 'json',
				type: 'post'
			    
			})
				.done(function(data) {
					location.reload();
				})
				.fail(function(data) {
					console.log(data);
				});
			return false;
		});

		$('.quantity')
			.on('click', '.minus', function (event) {
				var qty = $(event.target).parent().children('.qty'),
                    qtyVal = parseInt(qty.val(), 10);
				if(qtyVal > 1)
                    qty.val(qtyVal - 1);
                if(!$('#ec_update_cart_button').is(':visible'))
                    $('#ec_update_cart_button').show();
			})
			.on('click', '.plus', function (event) {
                var qty = $(event.target).parent().children('.qty'),
                    qtyVal = parseInt(qty.val(), 10);
                qty.val(qtyVal + 1);
                if(!$('#ec_update_cart_button').is(':visible'))
                    $('#ec_update_cart_button').show();
			});
	});

	var updateCart = function(callback) {
        var data = {
			    nonce: ecAjaxObject.nonce,
                action: 'ec_get_cart'
            };

		$.ajax({
			url: ecAjaxObject.ajax_url,
			data: data,
			dataType: 'html',
			type: 'post'
		})
			.done(function(data) {
				console.log(data);
				$('.ec_cartList').html(data);
                callback();
			})
			.fail(function(data) {
				console.log(data);
                preloade.hide();
			});
	}

})(jQuery);

jQuery.fn.equalHeight = function() {
    var currentTallest = 0,
        currentRowStart = 0,
        rowDivs = new Array(),
        $el,
        topPosition = 0;
    return this.each(function() {
        $el = jQuery(this);
        topPostion = $el.position().top;

        if (currentRowStart != topPostion) {
            for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
                rowDivs[currentDiv].height(currentTallest);
            }
            rowDivs.length = 0; // empty the array
            currentRowStart = topPostion;
            currentTallest = $el.height();
            rowDivs.push($el);

        } else {
            rowDivs.push($el);
            currentTallest = (currentTallest < $el.height()) ? ($el.height()) : (currentTallest);

        }
        for (currentDiv = 0; currentDiv < rowDivs.length; currentDiv++) {
            rowDivs[currentDiv].height(currentTallest);
        }
    });
}
