<?php
class ECAjax
{
    private static $instance = null;

    public static function get_instance()
    {
        if (null == self::$instance)
            self::$instance = new self;
        return self::$instance;
    } // end get_instance()

    private function __construct()
    {
        $this->session = ECSessionHandler::get_instance();
        add_action('wp_ajax_ec_get_stock', array($this, 'get_product_stock'));
        add_action('wp_ajax_nopriv_ec_get_stock', array($this, 'get_product_stock'));
//      Change address
        add_action('wp_ajax_ec_change_address', array($this, 'change_address'));
        add_action('wp_ajax_nopriv_ec_change_address', array($this, 'change_address'));
    } // end constructor()

    public function get_product_stock()
    {
        $productID = $_POST['id'];
        $product = new ECProduct($productID);
        $stock = $product->get_stock(true);
        if (isset($stock))
            echo json_encode(array('status' => 'ok', 'stock' => $stock));
        else
            echo json_encode(array('status' => 'error'));
        die();
    } // end get_product_stock()

    public function change_address()
    {
        $addressID = filter_var($_POST['addressID'], FILTER_SANITIZE_NUMBER_INT);
        $street = filter_var($_POST['addressStreet'], FILTER_SANITIZE_STRING);
        if ($addressID && ec_logged_in()) {
            $this->session->setData('l_cd_sa_addressID', $addressID);
            $this->session->setData('l_cd_sa_street', $street);

            $response = array(
                'status' => 'ok',
                'address' => array(
                    'street' => $street
                ),
                'message' => __('Shipping address successfully changed.', EC_TEXTDOMAIN)
            );
            echo json_encode($response);
            die();
        } else {
            $response = array(
                'status' => 'error'
            );
            echo json_encode($response);
            die();
        }
    }

} // end ECAjax class.
