<?php

class ECForm {

	public static $prefix = 'ec_';

	public static function populate_field($fieldArgs, $section, $errors)
	{
		extract($fieldArgs);
		$pref = self::$prefix.$section['id'].'_';
		$class = array_key_exists($name, $errors) ? ' ec_error' : '';
        if($type == 'hidden')
            $class .= ' hidden';
		$html = '<p class="ec_form_row'.$class.'">';
		if($type == 'text') {
			$default = !empty($default) ? $default : '';
			$required = $required ? '<abbr class="required" title="'. __('required',EC_TEXTDOMAIN).'">*</abbr>' : '';
			$placeholder = $required ? $title : $title . '('.__('optional', EC_TEXTDOMAIN).')';
			$html .= '<label for="'.$pref.$name.'">'.$title.' '.$required.'</label>';
			$html .= '<input type="text" name="'.self::$prefix.$section['id'].'['.$name.']" id="'.$pref.$name.'" value="'.$default.'" placeholder="'.$placeholder.'"/>';
			if(array_key_exists($name, $errors))
				$html .= '<br><small>'.$errors[$name].'</small>';
		}
        else if($type == 'password') {
			$default = !empty($default) ? $default : '';
			$required = $required ? '<abbr class="required" title="'. __('required',EC_TEXTDOMAIN).'">*</abbr>' : '';
			$placeholder = $required ? $title : $title . '('.__('optional', EC_TEXTDOMAIN).')';
			$html .= '<label for="'.$pref.$name.'">'.$title.' '.$required.'</label>';
			$html .= '<input type="password" name="'.self::$prefix.$section['id'].'['.$name.']" id="'.$pref.$name.'" value="'.$default.'" placeholder="'.$placeholder.'"/>';
			if(array_key_exists($name, $errors))
				$html .= '<br><small>'.$errors[$name].'</small>';
		}
        else if($type == 'hidden'){
            $default = !empty($default) ? $default : '';
            $html .= '<input type="hidden" name="'.self::$prefix.$section['id'].'['.$name.']" id="'.$pref.$name.'" value="'.$default.'" />';
        }
		$html .= '</p>';
		echo $html;
	}

	
}