<?php

function ec_price($sum)
{
    return number_format($sum, 2, ',', ' ') . '&nbsp;€';
} // end ex_price()

function dd($val, $print_r = true)
{
    echo "<pre>";
    if (!empty($val) && isset($val) && $print_r)
        print_r($val);
    else
        var_dump($val);
    echo "</pre>";
    die();
} // end dd()

function check_image($url)
{
    return true;
    $url = str_replace(' ', '%20', $url);
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_NOBODY, true);
    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
    $result = curl_exec($ch);
    $ret = false;
    if ($result !== false) {
        $statusCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        if ($statusCode == 200) $ret = true;
    }
    curl_close($ch);

//    if(!$ret) echo 'Bad image url: '. $url. PHP_EOL;
    return $ret;
} // end check_image()

function get_image($images, $size, $imageOnly = true)
{
    $images = unserialize($images);
    $image = array_pop($images);
    if (!empty($image)) {
        switch ($size) {
            case 'large':
                $imgSrc = $image->largeURL;
                break;
            case 'small':
                $imgSrc = $image->smallURL;
                $width = '200';
                $height = '150';
                break;
            default:
                $imgSrc = $image->thumbURL;
                $width = '100';
                $height = '75';
        }
        // $height = !empty($height) ? 'height="'. $height .'"' : '';
        // $width = !empty($width) ? 'width="'. $width .'"' : '';
        // return '<img src="'. $imgSrc .'" '. $width . ' ' . $height .' />';

        $html = !$imageOnly ? '<a href="' . $image->largeURL . '">' : '';
        $html .= '<img src="' . $imgSrc . '"/>';
        $html .= !$imageOnly ? '</a>' : '';

        return $html;
    }
    return null;

} // end get_image()

function get_gallery($images, $size = null, $mainOnly = false)
{
    $imagesArray = unserialize($images);
    if ($mainOnly) {
        $html = '';
        if (count($imagesArray) > 0) {
            $mainImg = array_pop($imagesArray);
            $html .= '<img src="' . $mainImg->smallURL . '">';
        } else {
            $html .= get_placeholder_image($size);
        }
    } else {
        $html = '<div class="ec_gallery">';

        if (count($imagesArray) > 0) {
            $mainImg = array_pop($imagesArray);
            $html .= '<a href="' . $mainImg->fullURL . '"><img src="' . $mainImg->smallURL . '"></a>';
        } else {
            $html .= get_placeholder_image($size);
        }

        if (count($imagesArray) >= 1) {
            $html .= '<div class="ec_gallery_thumbs cycle-slideshow" id="cycle-2"
                        data-cycle-slides="> a"
                        data-cycle-timeout="0"
                        data-cycle-prev=".cycle-prev"
                        data-cycle-next=".cycle-next"
                        data-cycle-caption="#slideshow-2 .custom-caption"
                        data-cycle-caption-template="Slide {{slideNum}} of {{slideCount}}"
                        data-cycle-fx="carousel"
                        data-cycle-carousel-visible="3"
                        data-cycle-carousel-fluid=true
                        data-allow-wrap="false">';
            foreach ($imagesArray as $img) {
                $html .= '<a href="' . $img->fullURL . '"><img src="' . $img->thumbURL . '"></a>';
            }

            $html .= '</div>';
        }
        $html .= '</div> <a href="" class="cycle-prev">Prev</a> <a href="" class="cycle-next">Next</a>';
    }
    return $html;
} // end get_gallery()

function get_placeholder_image($size)
{
    switch ($size) {
        case 'large':
            $imgSrc = 'img_ph_100x75.jpg';
            break;
        case 'small':
            $imgSrc = 'img_ph_200x150.jpg';
            $width = '200';
            $height = '150';
            break;
        default:
            $imgSrc = 'img_ph_100x75.jpg';
            $width = '100';
            $height = '75';
    }

    $height = !empty($height) ? 'height="' . $height . '"' : '';
    $width = !empty($width) ? 'width="' . $width . '"' : '';

    return '<img src="' . EC_URL . '/assets/img/' . $imgSrc . '" ' . $width . ' ' . $height . ' />';
} // end get_placeholder_image()

function update_ec_term_meta($termID, $meta_key, $meta_value)
{
    global $wpdb;
    $table_name = $wpdb->prefix . "ec_termmeta";
    $data = array(
        'meta_value' => $meta_value
    );
    $where = array(
        'ec_term_id' => $termID,
        'meta_key' => $meta_key
    );
    $rows_affected = $wpdb->update($table_name, $data, $where);
    return $rows_affected;

} // end update_ec_term_meta()

function add_ec_term_meta($termID, $meta_key, $meta_value)
{
    global $wpdb;
    $table_name = $wpdb->prefix . "ec_termmeta";
    $data = array(
        'ec_term_id' => $termID,
        'meta_key' => $meta_key,
        'meta_value' => $meta_value
    );
    $rows_affected = $wpdb->insert($table_name, $data);
    return $rows_affected;
} // end add_ec_term_meta()

function exists_ec_term_meta($termID, $meta_key)
{
    $term = ec_term_meta($termID, $meta_key);
    return !empty($term);
} // end exists_ec_term_meta()

function remove_ec_term_meta($termID, $meta_key = null)
{
    global $wpdb;
    $table_name = $wpdb->prefix . "ec_termmeta";
    $where = array(
        'ec_term_id' => $termID
    );

    if (isset($meta_key))
        $where['meta_key'] = $meta_key;


    $wpdb->delete($table_name, $where);
} // end remove_ec_term_meta()

function ec_term_meta($termID, $meta_key)
{
    global $wpdb;
    $table_name = $wpdb->prefix . "ec_termmeta";
    return $wpdb->get_var("SELECT meta_value FROM {$table_name} WHERE ec_term_id = {$termID} AND meta_key = '{$meta_key}'");
} // end ec_term_meta()

function ec_logged_in()
{
    $ec_session = ECSessionHandler::get_instance();
    $loginStatus = $ec_session->getData('l_status');
    $loginClientID = $ec_session->getData('l_cd_clientID');
    $loginCompanyID = $ec_session->getData('l_cd_companyID');
    if (isset($loginStatus) && $loginStatus == 'logged') {
        if(!empty($loginCompanyID)) return $loginCompanyID;
        if(!empty($loginClientID)) return $loginClientID;
    }
    return null;
}

function full_url()
{
    $s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : "";
    $sp = strtolower($_SERVER["SERVER_PROTOCOL"]);
    $protocol = substr($sp, 0, strpos($sp, "/")) . $s;
    $port = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":" . $_SERVER["SERVER_PORT"]);
    return $protocol . "://" . $_SERVER['SERVER_NAME'] . $port . $_SERVER['REQUEST_URI'];

} // end full_url()