<?php

class ECCart_Widget extends WP_Widget {

	/**
	 * Register Widget
	 */
	public function __construct() {
		parent::__construct(
	 		'ec_cart', // Base ID
            __('eCommerce - Cart',EC_TEXTDOMAIN), // Name
			array( 'description' => __( 'Shopping cart widget', EC_TEXTDOMAIN ) ) // Args
		);

        $this->session = ECSessionHandler::get_instance();
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args     Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget( $args, $instance ) {

		$options = get_option( 'ec_pages_settings' );
		$checkoutPageID = $options['checkoutPage'];
		$cartPageID = $options['cartPage'];
		if(is_page( $checkoutPageID )) return;

		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );

		echo $before_widget;
		if ( ! empty( $title ) )
			echo $before_title . $title . $after_title;

        $cart = $this->session->getData('cart');
//        $data = $this->session->getAllData();
//        dd($data);
        ?>
		<ul class="ec_cartList">
			<?php 
			if (!empty($cart)) {
				$view = new View('parts/ec-cart-widget.php');
				$view->cart = $cart;
				$view->publish();
			}
			?>
		</ul>

<!--		<button class="ec_emptyCart">--><?php //_e('Empty Cart', EC_TEXTDOMAIN); ?><!--</button>-->
		<a href="<?php echo get_permalink($cartPageID) ?>" class="btn ec_checkout"><?php _e('Go to cart', EC_TEXTDOMAIN); ?></a>
		<?php
		echo $after_widget;
	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form( $instance ) {
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		}
		else {
			$title = __( 'Shopping Cart', EC_TEXTDOMAIN );
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_name( 'title' ); ?>"><?php _e( 'Title:',EC_TEXTDOMAIN ); ?></label>
		<input 
			class="widefat" 
			id="<?php echo $this->get_field_id( 'title' ); ?>" 
			name="<?php echo $this->get_field_name( 'title' ); ?>" 
			type="text" 
			value="<?php echo esc_attr( $title ); ?>" />
		</p>
		<?php 
	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';

		return $instance;
	}

}