<?php get_header(); ?>
    <header class="archive-header">
        <?php
        $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );
        $title = $term ? $term->name : __('Search results for:',EC_TEXTDOMAIN).' '.get_search_query();
        ?>
        <h1 class="archive-title"><?= $title  ?></h1>
    </header><!-- .archive-header -->
    <?php do_action( 'ec_before_content'); ?>
            <?php
            if ( have_posts() ) : ?>

                <div class="entry-content">
                <?php
                /* Start the Loop */
                $counter = 0;
                $products = array();
                global $post;
                $promoQuery = array();
                while ( have_posts() ) : the_post();
                    $erplyID = get_post_meta( get_the_ID(), 'erplyID', true);                    
                    $promoQuery['productID'.$counter] = $erplyID;
                    $products[$erplyID] = $post;
                    $promoQuery['amount'.$counter] = 1;
                    $counter++;
                endwhile;
                $rows = null;
                $session = ECSessionHandler::get_instance();

 
                $loggedInClientID = ec_logged_in();

                if (!empty($loggedInClientID) ) {
                    $promoQuery['customerID'] = $loggedInClientID;

                    $erply = ERPLYAPI::get_instance();
                    $response = $erply->sendRequest('applyPromotions', $promoQuery);

                    if($response->status->responseStatus == 'ok') {             
                         $rows = (array)$response->records[0]->rows;
                    }
                }

                $counter = 0;
                foreach ($products as $erplyID => $product) :
                    $productObj = new ECProduct($product);
                    $img = $productObj->get_thumb('thumb', true);
                    $promotedPrice = null;

                    if(!empty($rows)) {
                        foreach ($rows as $row) {
                            if($row->productID == $erplyID) {
                                $productObj->set_promoted_price( $row ); 
                                break;
                            }
                        }
                    }

                    $price = $productObj->get_price();

                    $url = get_permalink($productObj->ID);

                    ?>
                    <div class="ec_product">
                        <h3><a href="<?php echo $url ?>"><?php echo $productObj->post_title; ?></a></h3>
                        <a href="<?php echo $url ?>" class="ec_product_thumb"><?php echo $img ?></a>
                        <?php
                        if(!empty($price)): ?>
                            <div class="ec_product_price"><span><?php _e('Price', EC_TEXTDOMAIN); ?>:</span> <?php echo $price; ?></div>
                            <a href="<?php echo $url ?>" class="button"><?php _e('View more', EC_TEXTDOMAIN); ?></a>
                            <?php
                        endif; ?>
                    </div>

                <?php endforeach; ?>
                <div class="navigation">
                    <div class="alignleft"><?php  previous_posts_link(__('&laquo; Previous Products', EC_TEXTDOMAIN)) ?></div>
                    <div class="alignright"><?php next_posts_link(__('Next Products &raquo;', EC_TEXTDOMAIN),'') ?></div>
                </div>
                </div>
            <?php else : ?>
                <?php get_template_part( 'content', 'none' ); ?>
            <?php endif; ?>
    <?php do_action( 'ec_after_content'); ?>
<?php get_sidebar(); ?>
<?php get_footer(); ?>