<form action="<?php echo $this->cartPermalink; ?>" method="post">
    <table class="table ec_checkout_table" cellspacing="0" cellpadding="0">
        <thead>
        <tr> 
            <th class="ec_name"><? _e('Product',EC_TEXTDOMAIN); ?></th>
            <th class="ec_price"><? _e('Price',EC_TEXTDOMAIN); ?></th>
            <th class="ec_quantity"><? _e('Quantity',EC_TEXTDOMAIN); ?></th>
            <th class="ec_subtotal"><? _e('Total',EC_TEXTDOMAIN); ?></th>
            <th class="ec_remove">&nbsp;</th>
        </tr>
        </thead>
        <tbody>
            <?php 
            $total = 0;
            foreach ($this->promos->rows as $item) :
                // var_dump($item);
                try {                    
                    $product = new ECProduct($item->productID, true);
                } catch(ECException $e) {
                    continue;
                }
                $product->set_promoted_price($item);
                $productTotal = $item->rowNetTotal;
                $amount = $item->amount;
                $price = $product->get_price();
            ?>
            <tr class="ec_cart_item">
                <td class="ec_name">
                    <a href="<?php echo $product->guid; ?>"><?php echo $product->get_title(); ?></a>
                </td>
                <td class="ec_price"><span class="amount"><?php echo $price; ?></span></td>
                <td class="ec_quantity">
                    <div class="quantity" style="float: none">
                        <input type="button" value="-" class="minus">
                        <input type="text" name="products[<?php echo $product->ID; ?>]" value="<?php echo $amount; ?>" title="<?php _e('Qty', EC_TEXTDOMAIN); ?>" class="qty" maxlength="5">
                        <input type="button" value="+" class="plus">
                    </div>
                </td>
                <td class="ec_subtotal"><span class="amount"><?php echo ec_price($item->rowNetTotal); ?></span></td>
                <td class="ec_remove">
                    <button class="ec_close ec_remove_from_cart" data-pid="<?php echo $product->ID ?>" data-eid="<?php echo $product->get_erplyID(); ?>" title="<?php _e('Remove this item', EC_TEXTDOMAIN); ?>">×</button>
                </td>
            </tr>
            <?php endforeach; ?>
            <tr>
                <td colspan="1" class="actions">
                    <input type="hidden" name="ec_action" value="ec_update_cart">
                </td>
                <td colspan="4">
                    <?php 
                    $usedCoupons = !empty($this->promos->usedCouponIdentifiers) ? explode(',', $this->promos->usedCouponIdentifiers) : array();
                    if(!empty($this->appliedCoupons)) : ?>
                    <ul class="ec_cart_coupons">
                        <?php foreach ($this->appliedCoupons as $key => $coupon) : ?>    
                            <?php if(!empty($usedCoupons) && in_array($coupon, $usedCoupons)) : ?>
                                <li class="ec_active_coupon">
                                    <button class="ec_close ec_remove_coupon" data-cid="<?php echo $key ?>" title="<?php _e('Remove this coupon', EC_TEXTDOMAIN); ?>">×</button>
                                    <?php echo $coupon ?> (<?php _e('active', EC_TEXTDOMAIN); ?>)
                                </li>
                            <?php else : ?>
                                <li  class="ec_inactive_coupon">
                                    <button class="ec_close ec_remove_coupon" data-cid="<?php echo $key ?>" title="<?php _e('Remove this coupon', EC_TEXTDOMAIN); ?>">×</button>
                                    <?php echo $coupon ?> (<?php _e('inactive', EC_TEXTDOMAIN); ?>)
                                </li>
                            <?php endif; ?>
                        <?php endforeach ?>
                    </ul>
                    <?php endif ?>
                    <table class="ec_cart_summary">
                        <tr>
                            <td><?php _e('Total', EC_TEXTDOMAIN); ?></td>
                            <td class="ec_price"><?php echo ec_price($this->promos->netTotal) ?></td>
                        </tr>
                        <tr>
                            <td><?php _e('VAT Total', EC_TEXTDOMAIN); ?></td>
                            <td class="ec_price"><?php echo ec_price($this->promos->vatTotal) ?></td>
                        </tr>
                        <tr>
                            <td><?php _e('Total with VAT', EC_TEXTDOMAIN); ?></td>
                            <td class="ec_price"><strong><?php echo ec_price($this->promos->total) ?></strong></td>
                        </tr>
                        <tr>
                            <td colspan="2" style="text-align: right">
                                <button type="submit" class="btn button" name="update_cart" id="ec_update_cart_button" style="display: none">
                                    <?php _e('Refresh totals', EC_TEXTDOMAIN); ?>
                                </button>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </tbody>
    </table>
    <div class="ec_submit_row row">
        <button type="button" class="btn button ec_cart_empty" name="empty_cart"><?php _e('Empty Cart', EC_TEXTDOMAIN); ?></button>
        <?php $message = (!empty($this->loginData)) ? __('Proceed to Checkout', EC_TEXTDOMAIN) : __('Proceed as Guest', EC_TEXTDOMAIN); ?>
        <input type="submit" class="btn btn-success checkout-button button alt" name="proceed" value="<?php echo $message; ?> →">
    </div>
</form>
<form class="ec_apply_coupon" action="<?php echo $this->cartPermalink; ?>" method="post">
        <?php if(!empty($this->couponError)) : ?>
            <p class="ec_error"><?php echo $this->couponError ?></p>
        <?php endif ?>
            <input type="hidden" name="ec_action" value="ec_apply_coupon">
            <input class="" type="text" name="ec_coupon">
            <button class="btn-default button" type="submit"><?php _e('Apply Coupon', EC_TEXTDOMAIN); ?></button>
</form>
<?php if(!ec_logged_in()) : ?>
<div id="ec_checkout_login">
    <?php
            $instance = array(
                'title' => __('Log in to apply customer discounts',EC_TEXTDOMAIN),
                'hideRegistration' => true
            );
            $args = array(
                'before_title' => '<h3 class="widget-title">',
                'after_title' => '</h3>'
            );
            the_widget('ECLogin_Widget', $instance,$args); ?>
</div>
<?php endif; ?>
