<?php if(isset($this->errors['terms'])): ?>
<div class="ec_message ec_errorBox">
    <?php echo $this->errors['terms']; ?>
</div>
<?php endif; ?>
<form action="<?php echo get_permalink($this->checkoutPage) ?>" method="post">
    <div class="ec_item_container">
        <div id="ec_customer_details">
            <?php foreach ($this->sections as $section) : ?>
                <div id="ec_section_<?= $section['id'] ?>">
                    <h2><?php echo $section['name']; ?></h2>
                    <p><?php echo $section['desc'] ?></p>
                    <div class="ec_section_fields">
                        <?php
                        $counter = 0;
                        foreach ($section['fields'] as $field) : ?>
                            <?php ECForm::populate_field($field, $section, $this->errors) ?>
                            <?php if (++$counter % 2 == 0) : ?>
                                <div class="clear"></div>
                            <?php endif ?>
                        <?php endforeach; ?>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
    <div class="clear">
        <?php
        if (isset($this->availableAdresses)):
            echo '<select name="ec_selected_address" id="ec_selected_address">';
            foreach ($this->availableAdresses as $address):
                $selected = (isset($this->selectedAddress) && $this->selectedAddress == $address->addressID) ? 'selected="selected"' : '';
                echo '<option ' . $selected . ' data-street="' . $address->street . '" data-address2="' . $address->address2 . '" data-city="' . $address->city . '" data-postcode="' . $address->postcode . '" data-country="' . $address->country . '" value="' . $address->addressID . '">' . $address->street . ' ' . $address->city . ' ' . $address->country . '</option>';
            endforeach;
            echo '</select>';
            echo ' <button type="button" id="ec_change_address" class="btn button">' . __('Select shipping address', EC_TEXTDOMAIN) . '</button>';
        endif;
        ?>
    </div>
    <div class="clear">
        <h2><?php _e('Your Order', EC_TEXTDOMAIN); ?></h2>
        <table class="table ec_checkout_table" cellspacing="0" cellpadding="0">
            <thead>
            <tr>
                <th class="ec_name"><? _e('Product', EC_TEXTDOMAIN); ?></th>
                <th class="ec_price"><? _e('Price', EC_TEXTDOMAIN); ?></th>
                <th class="ec_quantity"><? _e('Quantity', EC_TEXTDOMAIN); ?></th>
                <th class="ec_subtotal"><? _e('Total', EC_TEXTDOMAIN); ?></th>
            </tr>
            </thead>
            <tbody>
            <?php
            $total = 0;
            foreach ($this->cart->rows as $item) :
                try {
                    $product = new ECProduct($item->productID, true);
                } catch (ECException $e) {
                    continue;
                }
                $productTotal = $item->rowNetTotal;
                $finalPrice = $item->finalPrice;
                $amount = $item->amount;

                ?>
                <tr class="ec_cart_item">
                    <td class="ec_name">
                        <?php echo $product->get_title(); ?>
                    </td>
                    <td class="ec_price"><span class="amount"><?php echo ec_price($finalPrice); ?></span></td>
                    <td class="ec_quantity">
                        <?php echo $amount; ?>
                    </td>
                    <td class="ec_subtotal"><span class="amount"><?php echo ec_price($productTotal); ?></span></td>
                </tr>
            <?php endforeach; ?>
            <tr>
                <td colspan="1" class="actions">
                    &nbsp;
                </td>
                <td colspan="3">
                    <table class="ec_cart_summary">
                        <tr>
                            <td><?php _e('Total', EC_TEXTDOMAIN); ?></td>
                            <td class="ec_price"><?php echo ec_price($this->cart->netTotal) ?></td>
                        </tr>
                        <tr>
                            <td><?php _e('VAT Total', EC_TEXTDOMAIN); ?></td>
                            <td class="ec_price"><?php echo ec_price($this->cart->vatTotal) ?></td>
                        </tr>
                        <tr>
                            <td><?php _e('Total with VAT', EC_TEXTDOMAIN); ?></td>
                            <td class="ec_price"><strong><?php echo ec_price($this->cart->total) ?></strong></td>
                        </tr>
                    </table>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

    <div class="ec_item_container">
        <?php if (!empty($this->shipping)) : ?>
        <div id="ec_shipping">
            <h3><?php _e('Shipping Method', EC_TEXTDOMAIN); ?></h3>
            <ul id="shipping_method">
                <?php
                foreach ($this->shipping as $module) :
                    $module->render_front_fields();
                endforeach;
                ?>
            </ul>
        </div>
        <?php endif; ?>
        <?php if (!empty($this->gateways)) : ?>
        <div id="ec_payment">
            <h3><?php _e('Payment Method', EC_TEXTDOMAIN); ?></h3>
            <ul class="payment_methods methods">
                <?php foreach ($this->gateways as $gw) : ?>
                    <li>
                        <input type="radio" id="<?php echo $gw['id'] ?>" name="payment_method"
                               value="<?php echo $gw['id'] ?>">
                        <label for="<?php echo $gw['id'] ?>"><?php echo $gw['name'] ?></label>
                        <?php if (!empty($gw['description'])) : ?>
                            <div class="payment_box" style="">
                                <p>
                                    <?php echo $gw['description'] ?>
                                </p>
                            </div>
                        <?php endif ?>
                    </li>
                <?php endforeach; ?>
            </ul>
        </div>
        <?php endif; ?>
        <div class="form-row-full place-order">
            <p>

                <label for="terms"
                       class="checkbox"><?php printf(__('I accept <a href="%s" target="_blank">terms and conditions</a>', EC_TEXTDOMAIN), get_permalink($this->termPage)); ?></label>
                <input type="checkbox" class="input-checkbox" name="terms" id="terms">
            </p>
            <input type="hidden" name="ec_action" value="ec_checkout">
            <input type="submit" class="button alt" name="" id="place_order"
                   value="<?php _e('Submit Order', EC_TEXTDOMAIN); ?>">
        </div>
    </div>
</form>