<?php
$options = get_option('ec_pages_settings');
$mainOptions = get_option('ec_main_settings');
$loginPermalink = get_permalink($options['registerPage']);


// Display an error when user registration is not allowed
if(!isset($mainOptions['allowRegistration']))
    _e('User registration is not allowed!', EC_TEXTDOMAIN);

$errors = isset($this->info['errors']) ? $this->info['errors'] : array();
$fields = isset($this->info['fields']) ? $this->info['fields'] : array();
$status = isset($this->info['status']) ? $this->info['status'] : '';

if($status == 'created'):
?>
    <p><?php _e('Your accound was successfully created and you are logged in', EC_TEXTDOMAIN); ?></p>
<?php 
elseif(isset($mainOptions['allowRegistration'])): ?>
<form action="<?php echo $loginPermalink; ?>" method="post">
    <input type="hidden" name="ec_action" value="ec_register">
    <?php wp_nonce_field('ec_register', '_ec_nonce') ?>
    <p class="ec_form_row<?php if (isset($errors['user_first_name'])) echo ' ec_error' ?>"
       id="registration_first_name">
        <label for="user_first_name"><?php _e('First name', EC_TEXTDOMAIN); ?><abbr class="required"
                                                                                    title="<?php _e('required', EC_TEXTDOMAIN); ?>">*</abbr></label>
        <input type="text" name="user_first_name" id="user_first_name"
               placeholder="<?php _e('First name', EC_TEXTDOMAIN); ?>"
               value="<?php if (isset($fields['user_first_name'])) echo $fields['user_first_name'] ?>">
    </p>

    <p class="ec_form_row<?php if (isset($errors['user_last_name'])) echo ' ec_error' ?>"
       id="registration_last_name">
        <label for="user_last_name"><?php _e('Last name', EC_TEXTDOMAIN); ?><abbr class="required"
                                                                                  title="<?php _e('required', EC_TEXTDOMAIN); ?>">*</abbr></label>
        <input type="text" name="user_last_name" id="user_last_name"
               placeholder="<?php _e('Last name', EC_TEXTDOMAIN); ?>"
               value="<?php if (isset($fields['user_last_name'])) echo $fields['user_last_name'] ?>">
    </p>

    <p class="ec_form_row<?php if (isset($errors['user_email'])) echo ' ec_error' ?>" id="registration_email">
        <label for="user_email"><?php _e('Email', EC_TEXTDOMAIN); ?><abbr class="required"
                                                                          title="<?php _e('required', EC_TEXTDOMAIN); ?>">*</abbr></label>
        <input type="text" name="user_email" id="user_email" placeholder="<?php _e('Email', EC_TEXTDOMAIN); ?>"
               value="<?php if (isset($fields['user_email'])) echo $fields['user_email'] ?>">
    </p>

    <div class="clear"></div>
    <p class="ec_form_row<?php if (isset($errors['user_username'])) echo ' ec_error' ?>" id="registration_username">
        <label for="user_username"><?php _e('User name', EC_TEXTDOMAIN); ?><abbr class="required"
                                                                                 title="<?php _e('required', EC_TEXTDOMAIN); ?>">*</abbr></label>
        <input type="text" name="user_username" id="user_username"
               placeholder="<?php _e('User name', EC_TEXTDOMAIN); ?>"
               value="<?php if (isset($fields['user_username'])) echo $fields['user_username'] ?>">
    </p>

    <p class="ec_form_row<?php if (isset($errors['user_password'])) echo ' ec_error' ?>" id="registration_password">
        <label for="user_password"><?php _e('Password', EC_TEXTDOMAIN); ?><abbr class="required"
                                                                                title="<?php _e('required', EC_TEXTDOMAIN); ?>">*</abbr></label>
        <input type="password" name="user_password" id="user_password" placeholder="<?php _e('Password', EC_TEXTDOMAIN); ?>"
               value="<?php if (isset($fields['user_password'])) echo $fields['user_password'] ?>">
    </p>

    <p class="ec_form_row" id="registration_submit">
        <input type="submit" class="button alt" name="" id="place_order"
               value="<?php _e('Register user', EC_TEXTDOMAIN); ?>">
    </p>
</form>

<?php endif;